BatchUpdateNotifications
curl --request POST \
--url https://api.siftstack.com/api/v1/notifications:batchUpdate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"notification": {
"notificationId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"recipientUserId": "<string>",
"isRead": true,
"fullLink": "<string>",
"notificationType": "NOTIFICATION_KIND_UNSPECIFIED",
"contents": "<string>",
"entityId": "<string>"
},
"updateMask": "<string>"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/notifications:batchUpdate"
payload = { "requests": [
{
"notification": {
"notificationId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"recipientUserId": "<string>",
"isRead": True,
"fullLink": "<string>",
"notificationType": "NOTIFICATION_KIND_UNSPECIFIED",
"contents": "<string>",
"entityId": "<string>"
},
"updateMask": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/notifications:batchUpdate"
payload := strings.NewReader("{\n \"requests\": [\n {\n \"notification\": {\n \"notificationId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"recipientUserId\": \"<string>\",\n \"isRead\": true,\n \"fullLink\": \"<string>\",\n \"notificationType\": \"NOTIFICATION_KIND_UNSPECIFIED\",\n \"contents\": \"<string>\",\n \"entityId\": \"<string>\"\n },\n \"updateMask\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"notifications": [
{
"notificationId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"recipientUserId": "<string>",
"isRead": true,
"fullLink": "<string>",
"notificationType": "NOTIFICATION_KIND_UNSPECIFIED",
"contents": "<string>",
"entityId": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}NotificationService
BatchUpdateNotifications
Batch updates a list of notifications using the list of fields specified in their respective update_masks.
POST
/
api
/
v1
/
notifications:batchUpdate
BatchUpdateNotifications
curl --request POST \
--url https://api.siftstack.com/api/v1/notifications:batchUpdate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"notification": {
"notificationId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"recipientUserId": "<string>",
"isRead": true,
"fullLink": "<string>",
"notificationType": "NOTIFICATION_KIND_UNSPECIFIED",
"contents": "<string>",
"entityId": "<string>"
},
"updateMask": "<string>"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/notifications:batchUpdate"
payload = { "requests": [
{
"notification": {
"notificationId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"recipientUserId": "<string>",
"isRead": True,
"fullLink": "<string>",
"notificationType": "NOTIFICATION_KIND_UNSPECIFIED",
"contents": "<string>",
"entityId": "<string>"
},
"updateMask": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/notifications:batchUpdate"
payload := strings.NewReader("{\n \"requests\": [\n {\n \"notification\": {\n \"notificationId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"recipientUserId\": \"<string>\",\n \"isRead\": true,\n \"fullLink\": \"<string>\",\n \"notificationType\": \"NOTIFICATION_KIND_UNSPECIFIED\",\n \"contents\": \"<string>\",\n \"entityId\": \"<string>\"\n },\n \"updateMask\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"notifications": [
{
"notificationId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"recipientUserId": "<string>",
"isRead": true,
"fullLink": "<string>",
"notificationType": "NOTIFICATION_KIND_UNSPECIFIED",
"contents": "<string>",
"entityId": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to NotificationService_BatchUpdateNotifications to update notifications.
A maximum of 1000 notifications can be modified in a batch.
The request for a call to NotificationService_BatchUpdateNotifications to update notifications.
A maximum of 1000 notifications can be modified in a batch.
Show child attributes
Show child attributes
Response
A successful response.
The response of a call to NotificationService_BatchUpdateNotifications containing the updated notifications.
The updated notifications.
Show child attributes
Show child attributes
Was this page helpful?
⌘I